Subject: bug#45330: 28.0.50; debbugs-gnu: Can't select reports before having started Gnus

From: Eric Abrahamsen <[email-masked]>
Date: Thu, 13 Jan 2022 11:42:08 -0800

Michael Heerdegen <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> writes:
>
>> In hindsight, there didn't need to be a `gnus-registry-enabled' boolean,
>> we should have just been checking the existence of `gnus-registry-db',
>> but I think it's too late to remove that boolean now.
>
> It's not used so often.  And it makes things unnecessarily mixed-up.  My
> gut feeling says you should give it a try.

Hmm, I suppose an obsolete variable alias wouldn't hurt, I doubt
anyone's trying to do anything with `gnus-registry-enabled' besides
checking it for truthiness.